## Name

gl_VertexID — contains the index of the current vertex

## Declaration

`in int gl_VertexID ;`

## Description

`gl_VertexID` is a vertex language input variable that holds an integer index for the vertex. The index is impliclty generated by `glDrawArrays` and other commands that do not reference the content of the `GL_ELEMENT_ARRAY_BUFFER`, or explicitly generated from the content of the `GL_ELEMENT_ARRAY_BUFFER` by commands such as `glDrawElements`.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
`gl_VertexID` | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

gl_InstanceID

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.